org.apache.felix.ipojo.extender.builder

## Interface FactoryBuilder

All Known Implementing Classes:
  ReflectiveFactoryBuilder

    public interface FactoryBuilder

Interface defining the method used to build `IPojoFactory` instances. As each type of iPOJO factories can be different, factory builder are the common facade of all those types.

### Method Summary

All Methods Instance Methods Abstract Methods
`IPojoFactory` `build(org.osgi.framework.BundleContext bundleContext, org.apache.felix.ipojo.metadata.Element metadata)` Creates an iPOJO Factory.

### Method Detail

#### build

    IPojoFactory build(org.osgi.framework.BundleContext bundleContext,
                       org.apache.felix.ipojo.metadata.Element metadata)
                throws FactoryBuilderException

Creates an iPOJO Factory.

Parameters:
  `bundleContext` - the bundle context of the bundle declaring the component type
  `metadata` - the metadata of the component type (`component` element).
Returns:
  the iPOJO Factory instance.
Throws:
  `FactoryBuilderException` - if the factory cannot be created.